[
  uuid(2047D6CC-3084-4BBE-8F79-CD7DC2734E58), 
  version(1.0), 
  helpstring("Project1 Library")
    
]
library Project1
{

  importlib("midas.dll");
  importlib("STDOLE2.TLB");

  [
    uuid(E959607A-661D-44C0-B802-024ECE45C9C2), 
    version(1.0), 
    helpstring("Dispatch interface for MyDcomServer Object"), 
    dual, 
    oleautomation
  ]
   interface IMyDcomServer: IAppServer
  {
    [
    propget, 
    id(0x0000012D)
    ]
    HRESULT _stdcall clientCount([out, retval] long * Value );
    [
    propget, 
    id(0x0000012E)
    ]
    HRESULT _stdcall queryCount([out, retval] long * Value );
    [
    id(0x0000012F)
    ]
    HRESULT _stdcall newQuery([in] VARIANT VendorNo );
  };

  [
    uuid(CE3BA2FF-4389-4FBA-B0EE-407F527B80AD), 
    version(1.0), 
    helpstring("MyDcomServer Object")
  ]
  coclass MyDcomServer
  {
    [default] interface IMyDcomServer;
  };

}; 